## Package org.jboss.netty.handler.codec.compression

Encoder and decoder which compresses and decompresses `ChannelBuffer`s in a compression format such as zlib and gzip.

See:
Description

Class Summary
ZlibDecoder: Decompresses a `ChannelBuffer` using the deflate algorithm.
ZlibEncoder: Compresses a `ChannelBuffer` using the deflate algorithm.

Enum Summary
ZlibWrapper: The container file formats that wrap the stream compressed by the DEFLATE algorithm.

Exception Summary
CompressionException: An `IOException` that is raised when compression or decompression failed.

## Package org.jboss.netty.handler.codec.compression Description

Encoder and decoder which compresses and decompresses `ChannelBuffer`s in a compression format such as zlib and gzip.

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.